E(3)

PACKAGE
e - Routines to generate periodic events

PURPOSE
These routines are meant to provide a flexible, portable means to generate periodic events. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

e_test_supported
    Test if application supports scheduled events.

e_create_list
    Create a periodic event management list.

e_dispatch_events
    Dispatch events for a list.

e_register_func
    Register a function to be called periodically.

e_unregister_func
    Unregister an event function.

e_unix_init
    Initialise periodic event management support under Unix.

e_unix_dispatch_events
    Dispatch events for Unix.

e_PROTO_event_func
    Event callback.

TABLE e_DISPATCH_LEVELS
List of dispatch levels
Dispatch level Meaning
DISPATCH_SYNCHRONOUS Dispatch synchronously with the application main
thread
DISPATCH_ASYNCHRONOUS Dispatch asynchronously (like a Unix signal handler).
Use with caution, as race conditions may result

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/